%global srcname testtools

Name:           python-%{srcname}
Version:        2.7.2
Release:        %mkrel 2
Summary:        Extensions to the Python standard library unit testing framework

Group:          Development/Python
License:        MIT
URL:            https://github.com/testing-cabal/testtools
Source0:        %{pypi_source}
# Patch1:         0001-Fix-build-backend-addressing-version-issues.-Fixes-3.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
testtools is a set of extensions to the Python standard library’s unit
testing framework. These extensions have been derived from many years
of experience with unit testing in Python and come from many different
sources.

%package -n     python3-%{srcname}
Summary:        Extensions to the Python standard library unit testing framework
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
testtools is a set of extensions to the Python standard library’s unit
testing framework. These extensions have been derived from many years
of experience with unit testing in Python and come from many different
sources.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.7.2-2.mga10
+ Revision: 2238261
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.7.2-1.mga10
+ Revision: 2154573
- new version 2.7.2
- rebuild for python3.13

* Mon Jul 29 2024 papoteur <papoteur> 2.7.1-1.mga10
+ Revision: 2082873
- new version 2.7.1

* Sat Dec 09 2023 wally <wally> 2.7.0-1.mga10
+ Revision: 2016156
- new version 2.7.0
- use pyproject rpm macros

* Thu Mar 24 2022 umeabot <umeabot> 2.5.0-4.mga9
+ Revision: 1824685
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.5.0-3.mga9
+ Revision: 1772508
- break circular deps between testtools and fixtures again

* Sun Feb 06 2022 wally <wally> 2.5.0-2.mga9
+ Revision: 1772497
- rebuild for python3.10

* Sun Jul 25 2021 joequant <joequant> 2.5.0-1.mga9
+ Revision: 1737672
- update to 2.5.0

* Mon Mar 15 2021 wally <wally> 2.4.0-2.mga9
+ Revision: 1703582
- rebuild for python 3.9

* Wed Aug 05 2020 kekepower <kekepower> 2.4.0-1.mga8
+ Revision: 1611265
- Update to version 2.4.0

* Sun Feb 16 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1531445
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 2.3.0-3.mga8
+ Revision: 1440354
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 2.3.0-3.mga7
+ Revision: 1351693
- rebuild with python 3.7
+ shlomif <shlomif>
- fix circular dependency

* Fri Sep 21 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1290414
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 2.3.0-1.mga7
+ Revision: 1211342
- Update to version 2.3.0
- Renamed python-testtools to python2-testtools

* Thu Oct 05 2017 tv <tv> 1.8.0-8.mga7
+ Revision: 1169047
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-6.mga7
+ Revision: 1135662
- Rebuild for python 3.6

* Fri Mar 04 2016 daviddavid <daviddavid> 1.8.0-5.mga6
+ Revision: 985622
- use new python macros (fix build)

* Fri Feb 19 2016 umeabot <umeabot> 1.8.0-4.mga6
+ Revision: 971014
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.8.0-3.mga6
+ Revision: 888994
- rebuild for python 3.5

* Fri Sep 04 2015 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 872841
- add python3 package
- add patch from Fedora to fix Python 3.x compatibility library directly
- use new python2 macro
- update file list

* Mon Aug 31 2015 fwang <fwang> 1.8.0-1.mga6
+ Revision: 871499
- imported package python-testtools

